import i from "clsx";
import { jsx as s, jsxs as v, Fragment as A } from "react/jsx-runtime";
import N, { useContext as k } from "react";
/*!
  @versini/ui-table v1.4.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "1.4.0",
    buildTime: "12/25/2024 12:30 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
/*!
  @versini/ui-spacing v1.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SPACING__ || (window.__VERSINI_UI_SPACING__ = {
    version: "1.0.0",
    buildTime: "12/25/2024 12:30 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const $ = (e) => {
  let a = "";
  if (typeof e == "number" || typeof e == "string")
    a = "m-" + e;
  else {
    const t = [];
    (e == null ? void 0 : e.t) !== void 0 && t.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && t.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && t.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && t.push(`ml-${e.l}`), a = t.join(" ");
  }
  return a;
}, f = "thead", I = "tfoot", p = "tbody", y = {
  ASC: "asc",
  DESC: "desc"
}, H = ({
  mode: e,
  className: a,
  wrapperClassName: t,
  stickyHeader: r,
  stickyFooter: o,
  spacing: l
}) => ({
  wrapper: i(
    "not-prose relative w-full rounded-lg shadow-md",
    $(l),
    {
      "overflow-x-auto": !r && !o,
      "overflow-y-scroll": r || o,
      "bg-surface-darker text-copy-light": e === "dark",
      "bg-surface-light text-copy-dark": e === "light",
      "bg-surface-darker text-copy-light dark:bg-surface-light dark:text-copy-dark": e === "system",
      "bg-surface-light text-copy-dark dark:bg-surface-darker dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: i("my-0 w-full text-left text-sm", a, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: i("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), O = ({
  className: e,
  stickyHeader: a,
  mode: t
}) => i(e, {
  "sticky top-0 z-10": a,
  "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "dark",
  "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "system",
  "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "light",
  "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "alt-system"
}), W = ({
  className: e,
  stickyFooter: a,
  mode: t
}) => i(e, {
  "sticky bottom-0 z-10": a,
  "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "dark",
  "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "system",
  "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "light",
  "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "alt-system"
}), j = ({
  mode: e,
  className: a,
  cellWrapper: t
}) => t === f || t === I ? i({
  "bg-table-head-dark": e === "dark",
  "bg-table-head-light": e === "light",
  "bg-table-head-dark dark:bg-table-head-light": e === "system",
  "bg-table-head-light dark:bg-table-head-dark": e === "alt-system"
}) : i("border-b last:border-0", a, {
  "border-table-dark": e === "dark",
  "odd:bg-table-dark-odd even:bg-table-dark-even": t === p && e === "dark",
  "border-table-light": e === "light",
  "odd:bg-table-light-odd even:bg-table-light-even": t === p && e === "light",
  "border-table-dark dark:border-table-light": e === "system",
  "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === p && e === "system",
  "border-table-light dark:border-table-dark": e === "alt-system",
  "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === p && e === "alt-system"
}), G = ({
  cellWrapper: e,
  className: a,
  compact: t,
  mode: r
}) => i(a, {
  "text-copy-light": r === "dark",
  "text-copy-dark": r === "light",
  "text-copy-light dark:text-copy-dark": r === "system",
  "text-copy-dark dark:text-copy-light": r === "alt-system",
  "px-4 py-3": !t && (e === f || e === I),
  "p-4": !t && e === p,
  "px-4 py-1": t
}), D = ({
  buttonClassName: e
}) => i("rounded-none text-sm", e), C = "av-button";
/*!
  @versini/ui-spacing v1.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SPACING__ || (window.__VERSINI_UI_SPACING__ = {
    version: "1.0.0",
    buildTime: "12/25/2024 12:30 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const F = (e) => {
  let a = "";
  if (typeof e == "number" || typeof e == "string")
    a = "m-" + e;
  else {
    const t = [];
    (e == null ? void 0 : e.t) !== void 0 && t.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && t.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && t.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && t.push(`ml-${e.l}`), a = t.join(" ");
  }
  return a;
}, S = "icon", Y = "button", q = "link", J = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r,
  align: o
}) => {
  const l = "text-sm font-medium max-h-8 py-0", n = "text-base font-medium max-h-9 py-1", d = "text-lg font-medium max-h-12 py-2";
  switch (e) {
    case Y:
      return i("px-4", {
        [l]: a === "small",
        [n]: a === "medium",
        [d]: a === "large"
      });
    case q:
      return i("px-4 text-center", {
        [l]: a === "small",
        [n]: a === "medium",
        [d]: a === "large"
      });
    case S:
      return i("inline-flex items-center", {
        "justify-center": o === "center",
        "justify-start": o === "left",
        "justify-end": o === "right",
        "h-6 w-6 p-0": a === "small" && !(t || r),
        "h-6 px-4 text-sm font-medium": a === "small" && (t || r),
        "h-8 w-8 p-1": a === "medium" && !(t || r),
        "h-8 px-4 text-base font-medium": a === "medium" && (t || r),
        "h-12 w-12 p-2": a === "large" && !(t || r),
        "h-12 px-4 text-lg font-medium": a === "large" && (t || r)
      });
  }
}, K = ({
  mode: e,
  noBackground: a,
  noTruncate: t,
  variant: r
}) => {
  if (a)
    return "not-prose rounded-full";
  if (r === "primary")
    return i("not-prose rounded-full", {
      truncate: !t,
      "bg-action-dark text-copy-light": e === "dark",
      "bg-action-light text-copy-lighter": e === "light",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "alt-system"
    });
  if (r === "secondary")
    return i("not-prose rounded-full", {
      truncate: !t,
      "bg-action-dark text-copy-light": e === "light",
      "bg-action-light text-copy-lighter": e === "dark",
      "bg-action-dark text-copy-light dark:bg-action-light dark:text-copy-lighter": e === "alt-system",
      "bg-action-light text-copy-lighter dark:bg-action-dark dark:text-copy-light": e === "system"
    });
  if (r === "danger")
    return i("not-prose rounded-full", {
      truncate: !t,
      "bg-action-danger-dark text-copy-light": e === "dark",
      "bg-action-danger-light text-copy-lighter": e === "light",
      "bg-action-danger-dark text-copy-light dark:bg-action-danger-light dark:text-copy-lighter": e === "system",
      "bg-action-danger-light text-copy-lighter dark:bg-action-danger-dark dark:text-copy-light": e === "alt-system"
    });
}, Q = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return i("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
}, X = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return i("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return i("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return i("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
}, Z = ({
  mode: e,
  noBorder: a,
  variant: t
}) => {
  if (a)
    return "border border-transparent";
  if (t === "primary")
    return i("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return i("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return i("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
}, ee = ({ focusMode: e }) => i("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), te = ({
  type: e,
  className: a,
  raw: t,
  mode: r,
  focusMode: o,
  disabled: l,
  fullWidth: n,
  size: d,
  noBorder: c,
  labelRight: g,
  labelLeft: h,
  spacing: u,
  noBackground: b,
  variant: m,
  noTruncate: x,
  align: w
}) => (m || (m = "primary"), t ? i(C, a) : i(
  C,
  a,
  F(u),
  K({ mode: r, variant: m, noBackground: b, noTruncate: x }),
  J({ type: e, size: d, labelRight: g, labelLeft: h, align: w }),
  Z({ mode: r, variant: m, noBorder: c }),
  ee({ focusMode: o }),
  Q({ mode: r, variant: m, disabled: l }),
  X({ mode: r, variant: m, disabled: l }),
  {
    "w-full": n,
    "disabled:cursor-not-allowed disabled:opacity-50": l
  }
)), ae = (e, a, t) => {
  var r;
  !a && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((r = e == null ? void 0 : e.currentTarget) == null ? void 0 : r.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, E = N.forwardRef((e, a) => {
  const { onClick: t, noInternalClick: r = !1, ...o } = e;
  return /* @__PURE__ */ s(
    "button",
    {
      ref: a,
      onClick: (l) => {
        ae(l, r, t);
      },
      ...o
    }
  );
});
E.displayName = "BaseButton";
/*!
  @versini/ui-button v1.4.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "1.4.0",
    buildTime: "12/25/2024 12:30 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const B = N.forwardRef(
  ({
    children: e,
    disabled: a = !1,
    mode: t = "system",
    focusMode: r = "system",
    fullWidth: o = !1,
    className: l,
    type: n = "button",
    raw: d = !1,
    noBorder: c = !1,
    "aria-label": g,
    label: h,
    size: u = "medium",
    labelRight: b,
    labelLeft: m,
    spacing: x,
    noBackground: w = !1,
    align: R = "center",
    active: V = !1,
    ...z
  }, M) => {
    const L = te({
      type: S,
      mode: t,
      focusMode: r,
      fullWidth: o,
      disabled: a,
      raw: d,
      className: l,
      noBorder: c,
      size: u,
      labelRight: b,
      labelLeft: m,
      spacing: x,
      noBackground: w,
      align: R
    }), P = i({
      "text-copy-accent-dark": t === "light" && !d,
      "text-copy-light": t === "dark" && !d,
      "text-copy-accent-dark dark:text-copy-light": t === "alt-system" && !d,
      "text-copy-light dark:text-copy-accent-dark": t === "system" && !d
    }), U = V ? i(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": t === "dark",
        "after:border-table-light": t === "light",
        "after:border-table-dark dark:after:border-table-light": t === "system",
        "after:border-table-light dark:after:border-table-dark": t === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ s("div", { className: U, children: /* @__PURE__ */ v(
      E,
      {
        ref: M,
        className: L,
        disabled: a,
        type: n,
        "aria-label": g || h,
        ...z,
        children: [
          m && /* @__PURE__ */ s("span", { className: "pr-2", children: m }),
          /* @__PURE__ */ s("div", { className: P, children: e }),
          b && /* @__PURE__ */ s("span", { className: "pl-2", children: b })
        ]
      }
    ) });
  }
);
B.displayName = "ButtonSort";
/*!
  @versini/ui-spacing v1.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SPACING__ || (window.__VERSINI_UI_SPACING__ = {
    version: "1.0.0",
    buildTime: "12/25/2024 12:30 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const re = (e) => {
  let a = "";
  if (typeof e == "number" || typeof e == "string")
    a = "m-" + e;
  else {
    const t = [];
    (e == null ? void 0 : e.t) !== void 0 && t.push(`mt-${e.t}`), (e == null ? void 0 : e.r) !== void 0 && t.push(`mr-${e.r}`), (e == null ? void 0 : e.b) !== void 0 && t.push(`mb-${e.b}`), (e == null ? void 0 : e.l) !== void 0 && t.push(`ml-${e.l}`), a = t.join(" ");
  }
  return a;
}, T = ({
  children: e,
  fill: a,
  viewBox: t,
  className: r,
  defaultViewBox: o,
  defaultClassName: l,
  spacing: n,
  title: d,
  semantic: c = !1,
  ...g
}) => {
  const h = re(n), u = i(
    h,
    r || l
  );
  return /* @__PURE__ */ v(A, { children: [
    /* @__PURE__ */ s(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: u,
        viewBox: t || o,
        fill: a || "currentColor",
        role: "img",
        "aria-hidden": !c,
        focusable: !1,
        ...g,
        children: e
      }
    ),
    d && c && /* @__PURE__ */ s("span", { className: "sr-only", children: d })
  ] });
};
/*!
  @versini/ui-svgicon v1.0.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "1.0.0",
    buildTime: "12/25/2024 12:30 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const oe = ({
  className: e,
  viewBox: a,
  spacing: t,
  title: r,
  monotone: o,
  ...l
}) => /* @__PURE__ */ v(
  T,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: a,
    className: e,
    spacing: t,
    title: r || "Sort",
    ...l,
    children: [
      /* @__PURE__ */ s(
        "path",
        {
          opacity: o ? "1" : "0.4",
          d: "M393.4 41.4c12.5-12.5 32.8-12.5 45.3 0l96 96c12.5 12.5 12.5 32.8 0 45.3s-32.8 12.5-45.3 0L448 141.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V141.3l-41.4 41.4c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3l96-96z"
        }
      ),
      /* @__PURE__ */ s("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V370.7L86.6 329.4c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), ie = ({
  className: e,
  viewBox: a,
  spacing: t,
  title: r,
  monotone: o,
  ...l
}) => /* @__PURE__ */ v(
  T,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: a,
    className: e,
    spacing: t,
    title: r || "Sort Down",
    ...l,
    children: [
      /* @__PURE__ */ s(
        "path",
        {
          opacity: o ? "1" : "0.4",
          d: "M288 448c0 17.7 14.3 32 32 32h32c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32h96c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H480c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32zm0-128c0 17.7 14.3 32 32 32H544c17.7 0 32-14.3 32-32s-14.3-32-32-32H320c-17.7 0-32 14.3-32 32z"
        }
      ),
      /* @__PURE__ */ s("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32V365.7L63.6 330.4c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96C110.5 476.2 119 480 128 480z" })
    ]
  }
), le = ({
  className: e,
  viewBox: a,
  spacing: t,
  title: r,
  monotone: o,
  ...l
}) => /* @__PURE__ */ v(
  T,
  {
    defaultViewBox: "0 0 576 512",
    defaultClassName: "size-5",
    viewBox: a,
    className: e,
    spacing: t,
    title: r || "Sort Up",
    ...l,
    children: [
      /* @__PURE__ */ s(
        "path",
        {
          opacity: o ? "1" : "0.4",
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H480c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32zm0 128c0-17.7 14.3-32 32-32H544c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32z"
        }
      ),
      /* @__PURE__ */ s("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3L63.6 181.6c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32z" })
    ]
  }
);
/*!
  @versini/ui-icons v1.18.0
  © 2024 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "1.18.0",
    buildTime: "12/25/2024 12:30 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const _ = N.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), ge = ({
  children: e,
  mode: a = "system",
  caption: t,
  compact: r,
  summary: o,
  className: l,
  wrapperClassName: n,
  maxHeight: d,
  stickyHeader: c,
  stickyFooter: g,
  spacing: h,
  ...u
}) => {
  const b = H({
    mode: a,
    className: l,
    wrapperClassName: n,
    stickyHeader: c,
    stickyFooter: g,
    spacing: h
  });
  return /* @__PURE__ */ s(
    _.Provider,
    {
      value: { mode: a, stickyHeader: c, stickyFooter: g, compact: r },
      children: /* @__PURE__ */ s(
        "div",
        {
          className: b.wrapper,
          ...d && {
            style: { maxHeight: d }
          },
          children: /* @__PURE__ */ v("table", { className: b.table, summary: o, ...u, children: [
            t && /* @__PURE__ */ s("caption", { className: b.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, he = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = k(_);
  r.cellWrapper = f;
  const o = O({
    className: a,
    mode: r.mode,
    stickyHeader: r.stickyHeader
  });
  return /* @__PURE__ */ s("thead", { className: o, ...t, children: e });
}, be = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = k(_);
  r.cellWrapper = I;
  const o = W({
    className: a,
    mode: r.mode,
    stickyFooter: r.stickyFooter
  });
  return /* @__PURE__ */ s("tfoot", { className: o, ...t, children: e });
}, me = ({ children: e, ...a }) => {
  const t = k(_);
  return t.cellWrapper = p, /* @__PURE__ */ s("tbody", { ...a, children: e });
}, ue = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = k(_), o = j({
    mode: r.mode,
    cellWrapper: r.cellWrapper,
    className: a
  });
  return /* @__PURE__ */ s("tr", { className: o, ...t, children: e });
}, se = ({
  children: e,
  component: a,
  className: t,
  ...r
}) => {
  const o = k(_), l = a || (o.cellWrapper === f ? "th" : "td"), n = G({
    cellWrapper: o.cellWrapper,
    className: t,
    mode: o.mode,
    compact: o.compact
  });
  return /* @__PURE__ */ s(l, { className: n, ...r, children: e });
}, pe = ({
  align: e,
  children: a,
  buttonClassName: t,
  className: r,
  component: o,
  focusMode: l = "alt-system",
  mode: n = "alt-system",
  onClick: d,
  sortDirection: c,
  sortedCell: g,
  cellId: h,
  ...u
}) => {
  const b = D({ buttonClassName: t });
  return /* @__PURE__ */ s(
    se,
    {
      component: o,
      className: r,
      role: "columnheader",
      "aria-sort": c === y.ASC && g === h ? "ascending" : c === y.DESC && g === h ? "descending" : "other",
      ...u,
      children: /* @__PURE__ */ s(
        B,
        {
          active: g === h,
          className: b,
          onClick: d,
          align: e,
          noBorder: !0,
          focusMode: l,
          mode: n,
          fullWidth: !0,
          labelRight: a,
          children: c === y.ASC && g === h ? /* @__PURE__ */ s(le, { className: "size-4", monotone: !0 }) : c === y.DESC && g === h ? /* @__PURE__ */ s(ie, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ s(oe, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  ge as Table,
  me as TableBody,
  se as TableCell,
  pe as TableCellSort,
  y as TableCellSortDirections,
  be as TableFooter,
  he as TableHead,
  ue as TableRow
};
